/*
 * Copyright (C) 2019. Huawei Technologies Co., Ltd. All rights reserved.
 *
 * This program file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 */

#ifndef _INCLUDE_RULES_CONFIG_H
#define _INCLUDE_RULES_CONFIG_H

#define CONFIG_TYPE_MAX_LEN  32
#define CONFIG_LINE_MAX_LEN  512
#define MAX_LEVEL_NUM  4

typedef struct user_irq_policy_config {
	char irq_type[CONFIG_TYPE_MAX_LEN];
	int numa_node;
	int balance_level;
	int numa_node_set;
	int balance_level_set;
	struct user_irq_policy_config *next;
}USER_IRQ_POLICY;
extern USER_IRQ_POLICY *user_policy_list;
extern char *rules_config_file;

void add_usr_irq_policy(USER_IRQ_POLICY *policy);

USER_IRQ_POLICY *get_usr_irq_policy(char *name);

int read_user_policy_config();

void set_usr_irq_policy(struct irq_info *info);

#endif
